Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 344593 - media-video/mplayer-1.0_rc4_p20101107[vorbis] fails to link against libvorbisenc
Summary: media-video/mplayer-1.0_rc4_p20101107[vorbis] fails to link against libvorbisenc
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High major with 2 votes (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: InVCS
: 345859 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-11-07 21:23 UTC by Martin Väth
Modified: 2011-04-25 15:54 UTC (History)
20 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info mplayer (emerge--info_mplayer.out,14.38 KB, text/plain)
2010-11-13 00:56 UTC, Attila Stehr
Details
emerge --info output (emerge.info,4.31 KB, text/plain)
2010-11-14 15:28 UTC, Alexander Kolesen
Details
mplayer-1.0_rc4_p20101114.ebuild.patch (mplayer-1.0_rc4_p20101114.ebuild.patch,505 bytes, patch)
2010-12-15 20:02 UTC, Honza Macháček
Details | Diff
build log failure (build.log,215.69 KB, text/plain)
2011-01-25 10:43 UTC, .:deadhead:.
Details
emerge --info =media-video/mplayer-1.0_rc4_p20101114 (emerge.info,11.55 KB, text/plain)
2011-01-25 10:44 UTC, .:deadhead:.
Details
emerge -pqv =media-video/mplayer-1.0_rc4_p20101114 (emerge.pqv,973 bytes, text/plain)
2011-01-25 10:46 UTC, .:deadhead:.
Details
mplayer-1.0_rc4_p20101219.ebuild (mplayer-1.0_rc4_p20101219.ebuild,19.76 KB, text/plain)
2011-02-26 22:57 UTC, Vladimir
Details
mplayer-1.0_rc4_p20101219-vorbisenc.patch (mplayer-1.0_rc4_p20101219-vorbisenc.patch,844 bytes, patch)
2011-02-26 22:59 UTC, Vladimir
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Väth 2010-11-07 21:23:55 UTC
The link command contains only -lvorbis.
It should additionally contain -lvorbisenc
(After adding this manually to LDFLAGS, it links successfully).
Otherwise, the following error occurs during linking:

ffmpeg/libavcodec/libavcodec.a(libvorbis.o): In function `oggvorbis_encode_init':
libvorbis.c:(.text.unlikely+0xb5): undefined reference to `vorbis_encode_setup_vbr'
libvorbis.c:(.text.unlikely+0xef): undefined reference to `vorbis_encode_setup_managed'
libvorbis.c:(.text.unlikely+0x110): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x148): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x16e): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x176): undefined reference to `vorbis_encode_setup_init'
collect2: ld returned 1 exit status
Comment 1 Jesse Adelman 2010-11-08 15:55:13 UTC
There is also a version bump of media-libs/libvorbis awaiting Gentoo's attention, libvorbis-1.3.2:

http://xiph.org/downloads/

Thanks.
Comment 2 Vladimir 2010-11-10 21:05:22 UTC
I confirm this error.
Comment 3 Tomáš Chvátal (RETIRED) gentoo-dev 2010-11-11 15:39:54 UTC
Could you post exact useflags you have for the mplayer.
Comment 4 Martin Väth 2010-11-11 16:44:59 UTC
(In reply to comment #3)
> Could you post exact useflags you have for the mplayer.

X a52 alsa amr ass bl cddb cdio cdparanoia custom-cpuopts dga dirac dts dv dvd dvdnav encode faac faad gif gsm iconv jpeg jpeg2k kernel_linux libcaca live lzo mad mmx mng mp3 network opengl osdmenu png quicktime radio rar real rtc schroedinger sdl shm speex sse sse2 ssse3 theora truetype twolame unicode v4l2 vdpau vorbis x264 xanim xscreensaver xv xvid xvmc

-3dnow -3dnowext -aalib -altivec -aqua -bidi -bindist -bluray -bs2b -cpudetection -debug -directfb -doc -dvb -dxr3 -enca -esd -fbcon -ftp -ggi -ipv6 -jack -joystick -ladspa -libmpeg2 -lirc -md5sum -mmxext -mpg123 -nas -nut -openal -oss -pnm -pulseaudio -pvr -rtmp -samba -tga -toolame -tremor -v4l -video_cards_mga -video_cards_s3virge -video_cards_tdfx -video_cards_vesa -vidix -vpx -win32codecs -xinerama -zoran
Comment 5 Attila Stehr 2010-11-13 00:55:15 UTC
slightly different here...

ffmpeg/libavcodec/libavcodec.a(libvorbis.o): In function `oggvorbis_init_encoder':
/var/tmp/portage/media-video/mplayer-1.0_rc4_p20101107/work/mplayer-1.0_rc4_p20101107/ffmpeg/libavcodec/libvorbis.c:69: undefined reference to `vorbis_encode_setup_vbr'
/var/tmp/portage/media-video/mplayer-1.0_rc4_p20101107/work/mplayer-1.0_rc4_p20101107/ffmpeg/libavcodec/libvorbis.c:78: undefined reference to `vorbis_encode_setup_managed'
/var/tmp/portage/media-video/mplayer-1.0_rc4_p20101107/work/mplayer-1.0_rc4_p20101107/ffmpeg/libavcodec/libvorbis.c:84: undefined reference to `vorbis_encode_ctl'
/var/tmp/portage/media-video/mplayer-1.0_rc4_p20101107/work/mplayer-1.0_rc4_p20101107/ffmpeg/libavcodec/libvorbis.c:91: undefined reference to `vorbis_encode_ctl'
/var/tmp/portage/media-video/mplayer-1.0_rc4_p20101107/work/mplayer-1.0_rc4_p20101107/ffmpeg/libavcodec/libvorbis.c:96: undefined reference to `vorbis_encode_ctl'
/var/tmp/portage/media-video/mplayer-1.0_rc4_p20101107/work/mplayer-1.0_rc4_p20101107/ffmpeg/libavcodec/libvorbis.c:99: undefined reference to `vorbis_encode_setup_init'
collect2: ld returned 1 exit status
make: *** [mencoder] Fehler 1
make: *** Warte auf noch nicht beendete Prozesse...
emake failed
 * ERROR: media-video/mplayer-1.0_rc4_p20101107 failed:
 *   died running emake, base_src_make
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_compile
 *   environment, line 3038:  Called base_src_compile
 *   environment, line  600:  Called base_src_make
 *   environment, line  638:  Called die

 * USE:  X a52 alsa amd64 amr ass cdio directfb dts dv dvd dvdnav elibc_glibc enca encode faad fbcon ggi gif iconv jpeg jpeg2k kernel_linux mad md5sum mmx mp3 multilib network opengl osdmenu png pulseaudio quicktime real rtc schroedinger sdl shm sse sse2 ssse3 test theora truetype unicode userland_GNU vorbis vpx x264 xv xvid xvmc
Comment 6 Attila Stehr 2010-11-13 00:56:15 UTC
Created attachment 254155 [details]
emerge --info mplayer
Comment 7 konsti 2010-11-13 20:51:18 UTC
ffmpeg/libavcodec/libavcodec.a(libvorbis.o): In function `oggvorbis_encode_init':
libvorbis.c:(.text.unlikely+0xc1): undefined reference to `vorbis_encode_setup_vbr'
libvorbis.c:(.text.unlikely+0x113): undefined reference to `vorbis_encode_setup_managed'
libvorbis.c:(.text.unlikely+0x145): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x18a): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x1be): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x1c6): undefined reference to `vorbis_encode_setup_init'
collect2: ld returned 1 exit status
make: *** [mencoder] Error 1
make: *** Waiting for unfinished jobs....
ffmpeg/libavcodec/libavcodec.a(libvorbis.o): In function `oggvorbis_encode_init':
libvorbis.c:(.text.unlikely+0xc1): undefined reference to `vorbis_encode_setup_vbr'
libvorbis.c:(.text.unlikely+0x113): undefined reference to `vorbis_encode_setup_managed'
libvorbis.c:(.text.unlikely+0x145): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x18a): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x1be): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x1c6): undefined reference to `vorbis_encode_setup_init'
collect2: ld returned 1 exit status
make: *** [mplayer] Error 1
emake failed

[ebuild     U ] media-video/mplayer-1.0_rc4_p20101107 [1.0_rc4_p20100612] USE="X a52 alsa ass dvd dvdnav encode faac faad iconv ipv6 jpeg mmx mp3 network opengl osdmenu png rtc sdl shm sse sse2 ssse3 theora truetype unicode vdpau vorbis x264 xscreensaver xv xvid xvmc -3dnow -3dnowext -aalib (-altivec) -amr (-aqua) -bidi -bindist -bl (-bluray) -bs2b -cddb* -cdio -cdparanoia -cpudetection -custom-cpuopts -debug -dga -dirac -directfb -doc -dts -dv -dvb -dxr3 -enca -esd -fbcon -ftp -ggi -gif -gsm% -jack -joystick -jpeg2k -ladspa -libcaca -libmpeg2% -lirc -live -lzo -mad -md5sum -mmxext -mng -mpg123% -nas -nut -openal -oss -pnm -pulseaudio -pvr -quicktime -radio -rar -real -rtmp% -samba -schroedinger -speex -tga -toolame -tremor -twolame -v4l -v4l2 -vidix -vpx -win32codecs -xanim -xinerama -zoran (-gmplayer%) (-svga%)" VIDEO_CARDS="-mga -s3virge -tdfx -vesa" 0 kB

[ebuild   R   ] media-libs/libvorbis-1.3.2  USE="-static-libs" 0 kB
[ebuild   R   ] media-sound/vorbis-tools-1.4.0  USE="flac nls ogg123 -kate -speex" 0 kB
Comment 8 Alexander Kolesen 2010-11-14 15:28:47 UTC
Created attachment 254323 [details]
emerge --info output

emerge --info for me
Comment 9 Alexander Kolesen 2010-11-14 15:30:07 UTC
The same failure:

x86_64-pc-linux-gnu-gcc -o mplayer command.o m_property.o mixer.o mp_fifo.o mplayer.o parser-mpcmd.o pnm_loader.o input/input.o libao2/ao_mpegpes.o libao2/ao_null.o libao2/ao_pcm.o libao2/audio_out.o libvo/aspect.o libvo/geometry.o libvo/video_out.o libvo/vo_mpegpes.o libvo/vo_null.o sub/spuenc.o libao2/ao_alsa.o libvo/vo_png.o libvo/vo_gif89a.o libvo/gl_common.o libvo/vo_gl.o libvo/vo_gl2.o libvo/csputils.o libvo/sdl_common.o libvo/x11_common.o libvo/vo_matrixview.o libvo/matrixview.o libvo/vo_jpeg.o libmenu/menu.o libmenu/menu_chapsel.o libmenu/menu_cmdlist.o libmenu/menu_console.o libmenu/menu_filesel.o libmenu/menu_list.o libmenu/menu_param.o libmenu/menu_pt.o libmenu/menu_txt.o libmenu/vf_menu.o udp_sync.o libao2/ao_sdl.o libvo/vo_sdl.o libvo/vo_x11.o libvo/vo_xover.o libvo/vo_xv.o libvo/vo_yuv4mpeg.o asxparser.o bstr.o codec-cfg.o cpudetect.o edl.o fmt-conversion.o m_config.o m_option.o m_struct.o mp_msg.o mpcommon.o parser-cfg.o path.o playtree.o playtreeparser.o subopt-helper.o libaf/af.o libaf/af_center.o libaf/af_channels.o libaf/af_comp.o libaf/af_delay.o libaf/af_dummy.o libaf/af_equalizer.o libaf/af_extrastereo.o libaf/af_format.o libaf/af_gate.o libaf/af_hrtf.o libaf/af_karaoke.o libaf/af_pan.o libaf/af_resample.o libaf/af_scaletempo.o libaf/af_sinesuppress.o libaf/af_stats.o libaf/af_sub.o libaf/af_surround.o libaf/af_sweep.o libaf/af_tools.o libaf/af_volnorm.o libaf/af_volume.o libaf/filter.o libaf/format.o libaf/reorder_ch.o libaf/window.o libmpcodecs/ad.o libmpcodecs/ad_alaw.o libmpcodecs/ad_dk3adpcm.o libmpcodecs/ad_dvdpcm.o libmpcodecs/ad_hwac3.o libmpcodecs/ad_hwmpa.o libmpcodecs/ad_imaadpcm.o libmpcodecs/ad_msadpcm.o libmpcodecs/ad_pcm.o libmpcodecs/dec_audio.o libmpcodecs/dec_teletext.o libmpcodecs/dec_video.o libmpcodecs/img_format.o libmpcodecs/mp_image.o libmpcodecs/pullup.o libmpcodecs/vd.o libmpcodecs/vd_hmblck.o libmpcodecs/vd_lzo.o libmpcodecs/vd_mpegpes.o libmpcodecs/vd_mtga.o libmpcodecs/vd_null.o libmpcodecs/vd_raw.o libmpcodecs/vd_sgi.o libmpcodecs/vf.o libmpcodecs/vf_1bpp.o libmpcodecs/vf_2xsai.o libmpcodecs/vf_blackframe.o libmpcodecs/vf_boxblur.o libmpcodecs/vf_crop.o libmpcodecs/vf_cropdetect.o libmpcodecs/vf_decimate.o libmpcodecs/vf_delogo.o libmpcodecs/vf_denoise3d.o libmpcodecs/vf_detc.o libmpcodecs/vf_dint.o libmpcodecs/vf_divtc.o libmpcodecs/vf_down3dright.o libmpcodecs/vf_dsize.o libmpcodecs/vf_dvbscale.o libmpcodecs/vf_eq.o libmpcodecs/vf_eq2.o libmpcodecs/vf_expand.o libmpcodecs/vf_field.o libmpcodecs/vf_fil.o libmpcodecs/vf_filmdint.o libmpcodecs/vf_fixpts.o libmpcodecs/vf_flip.o libmpcodecs/vf_format.o libmpcodecs/vf_framestep.o libmpcodecs/vf_gradfun.o libmpcodecs/vf_halfpack.o libmpcodecs/vf_harddup.o libmpcodecs/vf_hqdn3d.o libmpcodecs/vf_hue.o libmpcodecs/vf_il.o libmpcodecs/vf_ilpack.o libmpcodecs/vf_ivtc.o libmpcodecs/vf_kerndeint.o libmpcodecs/vf_mirror.o libmpcodecs/vf_noformat.o libmpcodecs/vf_noise.o libmpcodecs/vf_ow.o libmpcodecs/vf_palette.o libmpcodecs/vf_perspective.o libmpcodecs/vf_phase.o libmpcodecs/vf_pp7.o libmpcodecs/vf_pullup.o libmpcodecs/vf_rectangle.o libmpcodecs/vf_remove_logo.o libmpcodecs/vf_rgbtest.o libmpcodecs/vf_rotate.o libmpcodecs/vf_sab.o libmpcodecs/vf_scale.o libmpcodecs/vf_smartblur.o libmpcodecs/vf_softpulldown.o libmpcodecs/vf_stereo3d.o libmpcodecs/vf_softskip.o libmpcodecs/vf_swapuv.o libmpcodecs/vf_telecine.o libmpcodecs/vf_test.o libmpcodecs/vf_tfields.o libmpcodecs/vf_tile.o libmpcodecs/vf_tinterlace.o libmpcodecs/vf_unsharp.o libmpcodecs/vf_vo.o libmpcodecs/vf_yadif.o libmpcodecs/vf_yuvcsp.o libmpcodecs/vf_yvu9.o libmpdemux/aac_hdr.o libmpdemux/asfheader.o libmpdemux/aviheader.o libmpdemux/aviprint.o libmpdemux/demuxer.o libmpdemux/demux_aac.o libmpdemux/demux_asf.o libmpdemux/demux_audio.o libmpdemux/demux_avi.o libmpdemux/demux_demuxers.o libmpdemux/demux_film.o libmpdemux/demux_fli.o libmpdemux/demux_lmlm4.o libmpdemux/demux_mf.o libmpdemux/demux_mkv.o libmpdemux/demux_mov.o libmpdemux/demux_mpg.o libmpdemux/demux_nsv.o libmpdemux/demux_pva.o libmpdemux/demux_rawaudio.o libmpdemux/demux_rawvideo.o libmpdemux/demux_realaud.o libmpdemux/demux_real.o libmpdemux/demux_roq.o libmpdemux/demux_smjpeg.o libmpdemux/demux_ts.o libmpdemux/demux_ty.o libmpdemux/demux_ty_osd.o libmpdemux/demux_viv.o libmpdemux/demux_vqf.o libmpdemux/demux_y4m.o libmpdemux/ebml.o libmpdemux/extension.o libmpdemux/mf.o libmpdemux/mp3_hdr.o libmpdemux/mp_taglists.o libmpdemux/mpeg_hdr.o libmpdemux/mpeg_packetizer.o libmpdemux/parse_es.o libmpdemux/parse_mp4.o libmpdemux/video.o libmpdemux/yuv4mpeg.o libmpdemux/yuv4mpeg_ratio.o osdep/getch2.o osdep/timer-linux.o stream/open.o stream/stream.o stream/stream_bd.o stream/stream_cue.o stream/stream_file.o stream/stream_mf.o stream/stream_null.o stream/url.o sub/eosd.o sub/find_sub.o sub/osd.o sub/spudec.o sub/sub.o sub/sub_cc.o sub/subreader.o sub/vobsub.o sub/font_load.o stream/stream_cdda.o stream/cdinfo.o stream/stream_cddb.o stream/stream_dvdnav.o stream/stream_dvd.o stream/stream_dvd_common.o libmpcodecs/ad_faad.o libvo/aclib.o av_opts.o libaf/af_lavcresample.o libmpcodecs/ad_ffmpeg.o libmpcodecs/vd_ffmpeg.o libmpcodecs/vf_lavc.o libmpcodecs/vf_lavcdeint.o libmpcodecs/vf_pp.o libmpcodecs/vf_screenshot.o libmpdemux/demux_lavf.o stream/stream_ffmpeg.o sub/av_sub.o libaf/af_lavcac3enc.o libmpcodecs/vf_fspp.o libmpcodecs/vf_geq.o libmpcodecs/vf_mcdeint.o libmpcodecs/vf_qp.o libmpcodecs/vf_spp.o libmpcodecs/vf_uspp.o sub/font_load_ft.o libmpdemux/demux_gif.o libmpcodecs/vf_bmovl.o libaf/af_export.o osdep/mmap_anon.o libmpcodecs/vd_ijpg.o libmpcodecs/ad_liba52.o libmpcodecs/vf_ass.o sub/ass_mp.o sub/subassconvert.o libmpcodecs/ad_libdca.o libmpcodecs/ad_libdv.o libmpcodecs/vd_libdv.o libmpdemux/demux_rawdv.o libmpcodecs/ad_libmad.o libmpcodecs/vd_theora.o libmpdemux/demux_rtp.o libmpdemux/demux_rtp_codec.o stream/stream_live555.o libmpdemux/demux_mng.o libmpcodecs/ad_mp3lib.o mp3lib/sr1.o mp3lib/decode_mmx.o mp3lib/dct64_sse.o stream/stream_rtsp.o stream/freesdp/common.o stream/freesdp/errorlist.o stream/freesdp/parser.o stream/librtsp/rtsp.o stream/librtsp/rtsp_rtp.o stream/librtsp/rtsp_session.o osdep/shmem.o osdep/vsscanf.o stream/stream_netstream.o stream/asf_mmst_streaming.o stream/asf_streaming.o stream/cookies.o stream/http.o stream/network.o stream/pnm.o stream/rtp.o stream/udp.o stream/tcp.o stream/stream_rtp.o stream/stream_udp.o stream/realrtsp/asmrp.o stream/realrtsp/real.o stream/realrtsp/rmff.o stream/realrtsp/sdpplin.o stream/realrtsp/xbuffer.o libmpcodecs/ad_realaud.o libmpcodecs/vd_realvid.o libmpcodecs/ad_speex.o stream/cache2.o sub/unrar_exec.o stream/stream_vcd.o libmpcodecs/ad_libvorbis.o libmpdemux/demux_ogg.o libmpcodecs/vd_xvid4.o ffmpeg/libavformat/libavformat.a ffmpeg/libavcodec/libavcodec.a ffmpeg/libavcore/libavcore.a ffmpeg/libavutil/libavutil.a ffmpeg/libpostproc/libpostproc.a ffmpeg/libswscale/libswscale.a -Wl,-z,noexecstack  -Wl,-O1 -Wl,--as-needed   -lncurses -lmng -lz -ljpeg -lgif -lasound -ldl -lpthread -L/usr/lib64 -ldvdread -ldvdread -lcdio_cdda -lcdio -lcdio_paranoia  -lfreetype -lz -lfontconfig  -lass -lz -lbz2 -lmad -lvorbis -logg -lspeex -ltheora -logg   -la52 -ldca -lfaad -lliveMedia -lgroupsock -lUsageEnvironment -lBasicUsageEnvironment -lstdc++ -ldv -lxvidcore -lm -ldirac_encoder -ldirac_decoder -lstdc++   -lschroedinger-1.0   -lpthread -ldl -rdynamic -L/usr/lib64 -ldvdnavmini -lpthread  -lm  -lXext -lX11 -lpthread -lXss -lXv -lXinerama -lXxf86vm -lSDL -lGL -ldl -lfaac -lx264 -lpthread -lmp3lame
ffmpeg/libavcodec/libavcodec.a(libvorbis.o): In function `oggvorbis_encode_init':
libvorbis.c:(.text.unlikely+0xad): undefined reference to `vorbis_encode_setup_vbr'
libvorbis.c:(.text.unlikely+0xe7): undefined reference to `vorbis_encode_setup_managed'
libvorbis.c:(.text.unlikely+0x10a): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x142): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x16a): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x172): undefined reference to `vorbis_encode_setup_init'
collect2: ld returned 1 exit status
make: *** [mplayer] Error 1
emake failed
 * ERROR: media-video/mplayer-1.0_rc4_p20101107 failed:
 *   died running emake, base_src_make
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_compile
 *   environment, line 3043:  Called base_src_compile
 *   environment, line  605:  Called base_src_make
 *   environment, line  643:  Called die
 * The specific snippet of code:
 *           emake "$@" || die "died running emake, $FUNCNAME";
 * 
 * If you need support, post the output of 'emerge --info =media-video/mplayer-1.0_rc4_p20101107',
 * the complete build log and the output of 'emerge -pqv =media-video/mplayer-1.0_rc4_p20101107'.
 * The complete build log is located at '/var/tmp/portage/media-video/mplayer-1.0_rc4_p20101107/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-video/mplayer-1.0_rc4_p20101107/temp/environment'.
 * S: '/var/tmp/portage/media-video/mplayer-1.0_rc4_p20101107/work/mplayer-1.0_rc4_p20101107'




media-video/mplayer-1.0_rc4_p20100612 was built with the following:
USE="X a52 alsa ass cddb cdio dirac dts dv dvd dvdnav enca encode faac faad gif iconv jpeg live mad mmx mmxext mng mp3 (multilib) network opengl osdmenu quicktime rar real rtc schroedinger sdl shm speex sse sse2 ssse3 theora toolame truetype twolame unicode vorbis x264 xinerama xscreensaver xv xvid -3dnow -3dnowext -aalib (-altivec) -amr -bidi -bindist -bl -bs2b -cdparanoia -cpudetection -custom-cpuopts -debug -dga -directfb -doc -dvb -dxr3 -esd -fbcon -ftp -ggi -gmplayer -ipv6 -jack -joystick -jpeg2k -ladspa -libcaca -lirc -lzo -md5sum -nas -nut -openal -oss -png -pnm -pulseaudio -pvr -radio -samba (-svga) -tga -tremor -v4l -v4l2 -vdpau (-vidix) -vpx (-win32codecs) -xanim -xvmc -zoran" VIDEO_CARDS="vesa -mga -s3virge -tdfx"

Comment 10 Tomáš Chvátal (RETIRED) gentoo-dev 2010-11-16 21:15:20 UTC
Does it work at 20101114 version?
Comment 11 konsti 2010-11-16 22:04:51 UTC
With the 20101114 version the error is the same. What I found out now is, if I remove the "encode" USE flag for building mencoder the compile works fine, I get a working mplayer!
Comment 12 Attila Stehr 2010-11-20 07:15:39 UTC
Approved, 
as well as the information in the description:

sudo LDFLAGS="${LDFLAGS} -lvorbisenc" emerge -v mplayer

makes mplayer compile.
Comment 13 Honza Macháček 2010-12-15 20:02:08 UTC
Created attachment 257241 [details, diff]
mplayer-1.0_rc4_p20101114.ebuild.patch

A patch for media-video/mplayer-1.0_rc4_p20101114.ebuild to add -lvorbisenc slightly more elegantly and efficiently.
Comment 14 Tomáš Chvátal (RETIRED) gentoo-dev 2010-12-19 10:41:18 UTC
*** Bug 345859 has been marked as a duplicate of this bug. ***
Comment 15 Tomáš Chvátal (RETIRED) gentoo-dev 2010-12-19 10:55:16 UTC
Please test and reopen if issue is still present in latest snapshot (20101219).
Comment 16 Soren Harward 2010-12-19 20:23:55 UTC
I don't have permission to reopen, but I'm still having the problem with 20101219:

ffmpeg/libavcodec/libavcodec.a(libvorbis.o): In function `oggvorbis_encode_init':
libvorbis.c:(.text.unlikely+0xad): undefined reference to `vorbis_encode_setup_vbr'
libvorbis.c:(.text.unlikely+0xe7): undefined reference to `vorbis_encode_setup_managed'
libvorbis.c:(.text.unlikely+0x10a): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x142): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x16a): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x172): undefined reference to `vorbis_encode_setup_init'
collect2: ld returned 1 exit status
make: *** [mencoder] Error 1
make: *** Waiting for unfinished jobs....
ffmpeg/libavcodec/libavcodec.a(libvorbis.o): In function `oggvorbis_encode_init':
libvorbis.c:(.text.unlikely+0xad): undefined reference to `vorbis_encode_setup_vbr'
libvorbis.c:(.text.unlikely+0xe7): undefined reference to `vorbis_encode_setup_managed'
libvorbis.c:(.text.unlikely+0x10a): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x142): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x16a): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x172): undefined reference to `vorbis_encode_setup_init'
collect2: ld returned 1 exit status
make: *** [mplayer] Error 1
emake failed

emerge --info:

Portage 2.1.9.24 (default/linux/amd64/10.0/desktop, gcc-4.4.4, glibc-2.11.2-r3, 2.6.34-gentoo-r12 x86_64)
=================================================================
System uname: Linux-2.6.34-gentoo-r12-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E8200_@_2.66GHz-with-gentoo-1.12.14
Timestamp of tree: Sun, 19 Dec 2010 13:15:01 +0000
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11-r1
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 1.12.14-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.30-r1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-w -march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gimp /etc/gtk-2.0 /etc/init.d /etc/pam.d /etc/revdep-rebuild /etc/sandbox.d /etc/security /etc/sound /etc/ssl /etc/terminfo /usr/share/X11"
CXXFLAGS="-w -march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ http://gentoo.netnitco.net http://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://gentoo.mirrors.tds.net/gentoo http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-O1,--sort-common,--hash-style=both"
LINGUAS="en en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="64bit X a52 aac acl acpi alsa amd64 bash-completion bzip2 cairo cdparanoia cdr cli cracklib crypt cups curl cxx dbus divx dri dts dv dvd dvdr emboss encode exif expat faac faad fam fax ffmpeg fftw flac fontconfig foomaticdb fortran gd gdbm gdu gif gmedia gmp gnutls iconv idn ieee1394 imlib ipv6 joystick jpeg jpeg2k kde lame lcms libnotify lm_sensors lzma mad mikmod mjpeg mmap mmx mmxext mng modules mp3 mp4 mpeg mplayer mudflap multilib musepack musicbrainz ncurses network nptl nptlonly nsplugin nvidia ogg openexr opengl pam pango pcre pdf plasma png policykit ppds pppd python qt3support qt4 readline rss rtc semantic-desktop session slang sndfile spell sqlite srt sse sse2 ssl ssse3 startup-notification svg sysfs t1lib taglib tcpd theora threads thumbnail tiff truetype unicode usb vaapi vdpau vim-syntax vorbis webkit wmf wmp wxwindows x264 xcb xcomposite xml xorg xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" PHP_TARGETS="php5-2" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 17 Martin Väth 2010-12-19 20:38:24 UTC
Bug is still there.
Comment 18 Conrad Kostecki gentoo-dev 2010-12-27 13:18:35 UTC
Here too(In reply to comment #17)
> Bug is still there.
> 

+1
Comment 19 rajas 2011-01-10 19:36:07 UTC
The patch "mplayer-1.0_rc4_p20101114.ebuild.patch" introduced in comment #13 is currently missing from mplayer-1.0_rc4_p20101219.ebuild. After applying it myself locally linking succeeds again with both use flags 'encode' and 'vorbis'.
Comment 20 Alexander Kozyrev 2011-01-23 18:43:42 UTC
confirming this bug, when emerging mplayer-1.0_rc4_p20101114 with "vorbis" use-flag enabled


Portage 2.1.9.25 (default/linux/amd64/10.0/no-multilib, gcc-4.5.2, glibc-2.11.2-r3, 2.6.37 x86_64)
=================================================================
System uname: Linux-2.6.37-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9400_@_2.53GHz-with-gentoo-2.0.1
Timestamp of tree: Sun, 23 Jan 2011 11:15:02 +0000
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.6.6-r1, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.30-r1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -mfpmath=sse -fomit-frame-pointer -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -mcx16 -msahf"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/maven-bin-2.2/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native -mfpmath=sse -fomit-frame-pointer -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -mcx16 -msahf"
DISTDIR="/srv/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/"
LANG="en_US.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3 -s"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X amd64 mmx mmxext nptl opengl pam sse sse2 sse3 sse4_1 ssse3 threads truetype unicode" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="*" APACHE2_MODULES="authz_host dir mime rewrite env negotiation" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="mouse keyboard synaptics evdev" KERNEL="linux" NGINX_MODULES_HTTP="rewrite gzip gzip_static fastcgi" USERLAND="GNU" VIDEO_CARDS="intel" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 21 nm (RETIRED) gentoo-dev 2011-01-25 08:52:53 UTC
Confirmed on my system; it still fails to build. The last working version was 1.0_rc4_p20091026-r1.
Comment 22 .:deadhead:. 2011-01-25 10:43:34 UTC
Created attachment 260650 [details]
build log failure

Build log failure on my system
Comment 23 .:deadhead:. 2011-01-25 10:44:56 UTC
Created attachment 260651 [details]
emerge --info =media-video/mplayer-1.0_rc4_p20101114

emerge --info =media-video/mplayer-1.0_rc4_p20101114
Comment 24 .:deadhead:. 2011-01-25 10:46:54 UTC
Created attachment 260654 [details]
emerge -pqv =media-video/mplayer-1.0_rc4_p20101114

emerge -pqv =media-video/mplayer-1.0_rc4_p20101114
Comment 25 .:deadhead:. 2011-01-25 10:51:38 UTC
Attached my files up here ^^^

AMD64 stable and mplayer doesn't build too :-( 

Can you please fix it? It's not a good show for our loved gentoo to have such a popular package broken in that way.


thankyou
Comment 26 Fabian Di Milia 2011-02-01 02:28:58 UTC
same here...

Every mplayer-*-rc4 ebuild fail with the libvorbis error message...


Pls add the patch
Comment 27 keenblade 2011-02-06 08:30:00 UTC
This bug also happens with media-video/mplayer-9999, when "vorbis"
use-flag enabled on ~amd64. The fix at comment #13 works here, too, when applied manually.
Comment 28 Samuli Suominen gentoo-dev 2011-02-06 08:44:13 UTC
So... Instead of repeating the same here over and over again, how about reporting the issue to upstream mailinglist?
 
Clearly the ./configure should bail out on this, or should append the library where required instead of the failing to build. So this is a upstream bug.
Comment 29 Reimar Döffinger 2011-02-07 18:28:50 UTC
Could someone test below patch? The system I am using right now doesn't have the problem.
Index: configure
===================================================================
--- configure   (revision 32861)
+++ configure   (working copy)
@@ -6287,7 +6287,9 @@
 fi
 if test "$_libvorbis" = auto; then
   _libvorbis=no
-  statement_check vorbis/codec.h 'vorbis_packet_blocksize(0, 0)' -lvorbis -logg $_ld_lm && _libvorbis=yes
+  for vorbislibs in '-lvorbis -logg' '-lvorbis -lvorbisenc -logg' ; do
+    statement_check vorbis/vorbisenc.h 'vorbis_encode_ctl(0, 0, 0)' $vorbislibs $_ld_lm && _libvorbis=yes && break
+  done
 fi
 if test "$_tremor_internal" = yes ; then
   _vorbis=yes
@@ -6311,7 +6313,7 @@
   def_vorbis='#define CONFIG_OGGVORBIS 1'
   codecmodules="libvorbis $codecmodules"
   res_comment="libvorbis"
-  extra_ldflags="$extra_ldflags -lvorbis -logg"
+  extra_ldflags="$extra_ldflags $vorbislibs"
   libavencoders="$libavencoders LIBVORBIS_ENCODER"
 else
   _vorbis=no
Comment 30 Oleg Bulatov 2011-02-13 18:55:25 UTC
(In reply to comment #29)
> Could someone test below patch? The system I am using right now doesn't have
> the problem.
Thanks, works for me (tested on mplayer-9999, amd64)
Comment 31 Vladimir 2011-02-26 22:57:58 UTC
Created attachment 263989 [details]
mplayer-1.0_rc4_p20101219.ebuild

An ebuild with a patch line.
Comment 32 Vladimir 2011-02-26 22:59:48 UTC
Created attachment 263991 [details, diff]
mplayer-1.0_rc4_p20101219-vorbisenc.patch

A patch to be used with the ebuild above, based on the patch from comment #29.
Comment 33 Reimar Döffinger 2011-02-27 15:26:06 UTC
Patch finally applied in upstream SVN r32979.
Comment 34 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2011-03-02 22:46:44 UTC
Fixed in media-video/mplayer-1.0_rc4_p20110302.
Comment 35 Sebastian Wurm 2011-03-03 13:04:35 UTC
Can you please remove the EAPI 4 mask. I do not want to emerge portage-2.2.0, because it seems to be currently in alpha state. Or is there another way to solve this issue?
Comment 36 nm (RETIRED) gentoo-dev 2011-03-04 18:15:07 UTC
(In reply to comment #35)
> Can you please remove the EAPI 4 mask. I do not want to emerge portage-2.2.0,
> because it seems to be currently in alpha state. Or is there another way to
> solve this issue?

Agreed. EAPI4 is absolutely not required and should not have been 'fixed' this way. Reopening.
Comment 37 Harrison Metzger 2011-03-15 02:32:17 UTC
Still fails with Paludis's cave:
x86_64-pc-linux-gnu-gcc -o mplayer command.o m_property.o mixer.o mp_fifo.o mplayer.o parser-mpcmd.o pnm_loader.o input/input.o libao2/ao_mpegpes.o libao2/ao_null.o libao2/ao_pcm.o libao2/audio_out.o libvo/aspect.o libvo/geometry.o libvo/video_out.o libvo/vo_mpegpes.o libvo/vo_null.o sub/spuenc.o libvo/vo_aa.o libao2/ao_alsa.o libvo/vo_png.o libvo/gl_common.o libvo/vo_gl.o libvo/vo_gl2.o libvo/csputils.o libvo/sdl_common.o libvo/x11_common.o libvo/vo_matrixview.o libvo/matrixview.o libvo/vo_jpeg.o libmenu/menu.o libmenu/menu_chapsel.o libmenu/menu_cmdlist.o libmenu/menu_console.o libmenu/menu_filesel.o libmenu/menu_list.o libmenu/menu_param.o libmenu/menu_pt.o libmenu/menu_txt.o libmenu/vf_menu.o udp_sync.o libvo/vo_pnm.o libao2/ao_pulse.o libao2/ao_sdl.o libvo/vo_sdl.o libvo/vo_vdpau.o libvo/vo_x11.o libvo/vo_xover.o libvo/vo_xv.o libvo/vo_yuv4mpeg.o asxparser.o bstr.o codec-cfg.o cpudetect.o edl.o fmt-conversion.o m_config.o m_option.o m_struct.o mp_msg.o mp_strings.o mpcommon.o parser-cfg.o path.o playtree.o playtreeparser.o subopt-helper.o libaf/af.o libaf/af_center.o libaf/af_channels.o libaf/af_comp.o libaf/af_delay.o libaf/af_dummy.o libaf/af_equalizer.o libaf/af_extrastereo.o libaf/af_format.o libaf/af_gate.o libaf/af_hrtf.o libaf/af_karaoke.o libaf/af_pan.o libaf/af_resample.o libaf/af_scaletempo.o libaf/af_sinesuppress.o libaf/af_stats.o libaf/af_sub.o libaf/af_surround.o libaf/af_sweep.o libaf/af_tools.o libaf/af_volnorm.o libaf/af_volume.o libaf/filter.o libaf/format.o libaf/reorder_ch.o libaf/window.o libmpcodecs/ad.o libmpcodecs/ad_alaw.o libmpcodecs/ad_dk3adpcm.o libmpcodecs/ad_dvdpcm.o libmpcodecs/ad_hwac3.o libmpcodecs/ad_hwmpa.o libmpcodecs/ad_imaadpcm.o libmpcodecs/ad_msadpcm.o libmpcodecs/ad_pcm.o libmpcodecs/dec_audio.o libmpcodecs/dec_teletext.o libmpcodecs/dec_video.o libmpcodecs/img_format.o libmpcodecs/mp_image.o libmpcodecs/pullup.o libmpcodecs/vd.o libmpcodecs/vd_hmblck.o libmpcodecs/vd_lzo.o libmpcodecs/vd_mpegpes.o libmpcodecs/vd_mtga.o libmpcodecs/vd_null.o libmpcodecs/vd_raw.o libmpcodecs/vd_sgi.o libmpcodecs/vf.o libmpcodecs/vf_1bpp.o libmpcodecs/vf_2xsai.o libmpcodecs/vf_blackframe.o libmpcodecs/vf_boxblur.o libmpcodecs/vf_crop.o libmpcodecs/vf_cropdetect.o libmpcodecs/vf_decimate.o libmpcodecs/vf_delogo.o libmpcodecs/vf_denoise3d.o libmpcodecs/vf_detc.o libmpcodecs/vf_dint.o libmpcodecs/vf_divtc.o libmpcodecs/vf_down3dright.o libmpcodecs/vf_dsize.o libmpcodecs/vf_dvbscale.o libmpcodecs/vf_eq.o libmpcodecs/vf_eq2.o libmpcodecs/vf_expand.o libmpcodecs/vf_field.o libmpcodecs/vf_fil.o libmpcodecs/vf_filmdint.o libmpcodecs/vf_fixpts.o libmpcodecs/vf_flip.o libmpcodecs/vf_format.o libmpcodecs/vf_framestep.o libmpcodecs/vf_gradfun.o libmpcodecs/vf_halfpack.o libmpcodecs/vf_harddup.o libmpcodecs/vf_hqdn3d.o libmpcodecs/vf_hue.o libmpcodecs/vf_il.o libmpcodecs/vf_ilpack.o libmpcodecs/vf_ivtc.o libmpcodecs/vf_kerndeint.o libmpcodecs/vf_mirror.o libmpcodecs/vf_noformat.o libmpcodecs/vf_noise.o libmpcodecs/vf_ow.o libmpcodecs/vf_palette.o libmpcodecs/vf_perspective.o libmpcodecs/vf_phase.o libmpcodecs/vf_pp7.o libmpcodecs/vf_pullup.o libmpcodecs/vf_rectangle.o libmpcodecs/vf_remove_logo.o libmpcodecs/vf_rgbtest.o libmpcodecs/vf_rotate.o libmpcodecs/vf_sab.o libmpcodecs/vf_scale.o libmpcodecs/vf_smartblur.o libmpcodecs/vf_softpulldown.o libmpcodecs/vf_stereo3d.o libmpcodecs/vf_softskip.o libmpcodecs/vf_swapuv.o libmpcodecs/vf_telecine.o libmpcodecs/vf_test.o libmpcodecs/vf_tfields.o libmpcodecs/vf_tile.o libmpcodecs/vf_tinterlace.o libmpcodecs/vf_unsharp.o libmpcodecs/vf_vo.o libmpcodecs/vf_yadif.o libmpcodecs/vf_yuvcsp.o libmpcodecs/vf_yvu9.o libmpdemux/aac_hdr.o libmpdemux/asfheader.o libmpdemux/aviheader.o libmpdemux/aviprint.o libmpdemux/demuxer.o libmpdemux/demux_aac.o libmpdemux/demux_asf.o libmpdemux/demux_audio.o libmpdemux/demux_avi.o libmpdemux/demux_demuxers.o libmpdemux/demux_film.o libmpdemux/demux_fli.o libmpdemux/demux_lmlm4.o libmpdemux/demux_mf.o libmpdemux/demux_mkv.o libmpdemux/demux_mov.o libmpdemux/demux_mpg.o libmpdemux/demux_nsv.o libmpdemux/demux_pva.o libmpdemux/demux_rawaudio.o libmpdemux/demux_rawvideo.o libmpdemux/demux_realaud.o libmpdemux/demux_real.o libmpdemux/demux_roq.o libmpdemux/demux_smjpeg.o libmpdemux/demux_ts.o libmpdemux/demux_ty.o libmpdemux/demux_ty_osd.o libmpdemux/demux_viv.o libmpdemux/demux_vqf.o libmpdemux/demux_y4m.o libmpdemux/ebml.o libmpdemux/extension.o libmpdemux/mf.o libmpdemux/mp3_hdr.o libmpdemux/mp_taglists.o libmpdemux/mpeg_hdr.o libmpdemux/mpeg_packetizer.o libmpdemux/parse_es.o libmpdemux/parse_mp4.o libmpdemux/video.o libmpdemux/yuv4mpeg.o libmpdemux/yuv4mpeg_ratio.o osdep/getch2.o osdep/timer-linux.o stream/open.o stream/stream.o stream/stream_bd.o stream/stream_cue.o stream/stream_file.o stream/stream_mf.o stream/stream_null.o stream/url.o sub/eosd.o sub/find_sub.o sub/osd.o sub/spudec.o sub/sub.o sub/sub_cc.o sub/subreader.o sub/vobsub.o sub/font_load.o stream/stream_cdda.o stream/cdinfo.o stream/stream_dvdnav.o stream/stream_dvd.o stream/stream_dvd_common.o libmpcodecs/ad_faad.o libvo/aclib.o av_opts.o libaf/af_lavcresample.o libmpcodecs/ad_ffmpeg.o libmpcodecs/vd_ffmpeg.o libmpcodecs/vf_lavc.o libmpcodecs/vf_lavcdeint.o libmpcodecs/vf_pp.o libmpcodecs/vf_screenshot.o libmpdemux/demux_lavf.o stream/stream_ffmpeg.o sub/av_sub.o libaf/af_lavcac3enc.o libmpcodecs/vf_fspp.o libmpcodecs/vf_geq.o libmpcodecs/vf_mcdeint.o libmpcodecs/vf_qp.o libmpcodecs/vf_spp.o libmpcodecs/vf_uspp.o sub/font_load_ft.o libmpcodecs/vf_bmovl.o libaf/af_export.o osdep/mmap_anon.o libmpcodecs/vd_ijpg.o libmpcodecs/ad_liba52.o libmpcodecs/vf_ass.o sub/ass_mp.o sub/subassconvert.o libmpcodecs/ad_libdca.o libmpcodecs/ad_libdv.o libmpcodecs/vd_libdv.o libmpdemux/demux_rawdv.o stream/stream_smb.o libmpcodecs/vd_theora.o libmpdemux/demux_rtp.o libmpdemux/demux_rtp_codec.o stream/stream_live555.o libmpdemux/demux_mng.o libmpcodecs/ad_mp3lib.o mp3lib/sr1.o mp3lib/decode_mmx.o mp3lib/dct64_sse.o stream/stream_rtsp.o stream/freesdp/common.o stream/freesdp/errorlist.o stream/freesdp/parser.o stream/librtsp/rtsp.o stream/librtsp/rtsp_rtp.o stream/librtsp/rtsp_session.o osdep/shmem.o stream/stream_netstream.o stream/asf_mmst_streaming.o stream/asf_streaming.o stream/cookies.o stream/http.o stream/network.o stream/pnm.o stream/rtp.o stream/udp.o stream/tcp.o stream/stream_rtp.o stream/stream_udp.o stream/realrtsp/asmrp.o stream/realrtsp/real.o stream/realrtsp/rmff.o stream/realrtsp/sdpplin.o stream/realrtsp/xbuffer.o libmpcodecs/vd_mpng.o libmpcodecs/ad_realaud.o libmpcodecs/vd_realvid.o libmpcodecs/ad_speex.o stream/cache2.o sub/unrar_exec.o stream/stream_vcd.o libmpcodecs/ad_libvorbis.o libmpdemux/demux_ogg.o libmpcodecs/vd_xvid4.o ffmpeg/libavformat/libavformat.a ffmpeg/libavcodec/libavcodec.a ffmpeg/libavutil/libavutil.a ffmpeg/libpostproc/libpostproc.a ffmpeg/libswscale/libswscale.a -Wl,-z,noexecstack  -Wl,-O1   -lncurses -lsmbclient -lpng -lz -lmng -lz -ljpeg -lasound -ldl -lpthread -L/usr/lib64 -ldvdread -ldvdread -lcdio_cdda -lcdio -lcdio_paranoia  -lfreetype -lz -lfontconfig  -lass -lenca -lz -lbz2 -llzo2 -lvorbis -logg -lspeex -ltheora -logg   -la52 -ldca -lfaad -lliveMedia -lgroupsock -lUsageEnvironment -lBasicUsageEnvironment -lstdc++ -ldv -lxvidcore -lm -ldirac_encoder -ldirac_decoder -lstdc++   -lschroedinger-1.0   -lpthread -ldl -rdynamic -L/usr/lib64 -ldvdnavmini -lpthread  -lm  -lXext -lX11 -lpthread -lXss -lXv -lvdpau -lXxf86vm -laa -lSDL -lGL -ldl -lpulse -lfaac -lx264 -lpthread -lmp3lame
x86_64-pc-linux-gnu-gcc -o mencoder mencoder.o parser-mecmd.o xvid_vbr.o libmpcodecs/ae.o libmpcodecs/ae_pcm.o libmpcodecs/ve.o libmpcodecs/ve_raw.o libmpdemux/muxer.o libmpdemux/muxer_avi.o libmpdemux/muxer_mpeg.o libmpdemux/muxer_rawaudio.o libmpdemux/muxer_rawvideo.o libmpcodecs/ae_faac.o libmpcodecs/ae_lavc.o libmpcodecs/ve_lavc.o libmpdemux/muxer_lavf.o libmpcodecs/ve_libdv.o libmpcodecs/ve_nuv.o libmpcodecs/native/rtjpegn.o libmpcodecs/ae_lame.o libmpcodecs/ae_twolame.o libmpcodecs/ve_x264.o libmpcodecs/ve_xvid4.o asxparser.o bstr.o codec-cfg.o cpudetect.o edl.o fmt-conversion.o m_config.o m_option.o m_struct.o mp_msg.o mp_strings.o mpcommon.o parser-cfg.o path.o playtree.o playtreeparser.o subopt-helper.o libaf/af.o libaf/af_center.o libaf/af_channels.o libaf/af_comp.o libaf/af_delay.o libaf/af_dummy.o libaf/af_equalizer.o libaf/af_extrastereo.o libaf/af_format.o libaf/af_gate.o libaf/af_hrtf.o libaf/af_karaoke.o libaf/af_pan.o libaf/af_resample.o libaf/af_scaletempo.o libaf/af_sinesuppress.o libaf/af_stats.o libaf/af_sub.o libaf/af_surround.o libaf/af_sweep.o libaf/af_tools.o libaf/af_volnorm.o libaf/af_volume.o libaf/filter.o libaf/format.o libaf/reorder_ch.o libaf/window.o libmpcodecs/ad.o libmpcodecs/ad_alaw.o libmpcodecs/ad_dk3adpcm.o libmpcodecs/ad_dvdpcm.o libmpcodecs/ad_hwac3.o libmpcodecs/ad_hwmpa.o libmpcodecs/ad_imaadpcm.o libmpcodecs/ad_msadpcm.o libmpcodecs/ad_pcm.o libmpcodecs/dec_audio.o libmpcodecs/dec_teletext.o libmpcodecs/dec_video.o libmpcodecs/img_format.o libmpcodecs/mp_image.o libmpcodecs/pullup.o libmpcodecs/vd.o libmpcodecs/vd_hmblck.o libmpcodecs/vd_lzo.o libmpcodecs/vd_mpegpes.o libmpcodecs/vd_mtga.o libmpcodecs/vd_null.o libmpcodecs/vd_raw.o libmpcodecs/vd_sgi.o libmpcodecs/vf.o libmpcodecs/vf_1bpp.o libmpcodecs/vf_2xsai.o libmpcodecs/vf_blackframe.o libmpcodecs/vf_boxblur.o libmpcodecs/vf_crop.o libmpcodecs/vf_cropdetect.o libmpcodecs/vf_decimate.o libmpcodecs/vf_delogo.o libmpcodecs/vf_denoise3d.o libmpcodecs/vf_detc.o libmpcodecs/vf_dint.o libmpcodecs/vf_divtc.o libmpcodecs/vf_down3dright.o libmpcodecs/vf_dsize.o libmpcodecs/vf_dvbscale.o libmpcodecs/vf_eq.o libmpcodecs/vf_eq2.o libmpcodecs/vf_expand.o libmpcodecs/vf_field.o libmpcodecs/vf_fil.o libmpcodecs/vf_filmdint.o libmpcodecs/vf_fixpts.o libmpcodecs/vf_flip.o libmpcodecs/vf_format.o libmpcodecs/vf_framestep.o libmpcodecs/vf_gradfun.o libmpcodecs/vf_halfpack.o libmpcodecs/vf_harddup.o libmpcodecs/vf_hqdn3d.o libmpcodecs/vf_hue.o libmpcodecs/vf_il.o libmpcodecs/vf_ilpack.o libmpcodecs/vf_ivtc.o libmpcodecs/vf_kerndeint.o libmpcodecs/vf_mirror.o libmpcodecs/vf_noformat.o libmpcodecs/vf_noise.o libmpcodecs/vf_ow.o libmpcodecs/vf_palette.o libmpcodecs/vf_perspective.o libmpcodecs/vf_phase.o libmpcodecs/vf_pp7.o libmpcodecs/vf_pullup.o libmpcodecs/vf_rectangle.o libmpcodecs/vf_remove_logo.o libmpcodecs/vf_rgbtest.o libmpcodecs/vf_rotate.o libmpcodecs/vf_sab.o libmpcodecs/vf_scale.o libmpcodecs/vf_smartblur.o libmpcodecs/vf_softpulldown.o libmpcodecs/vf_stereo3d.o libmpcodecs/vf_softskip.o libmpcodecs/vf_swapuv.o libmpcodecs/vf_telecine.o libmpcodecs/vf_test.o libmpcodecs/vf_tfields.o libmpcodecs/vf_tile.o libmpcodecs/vf_tinterlace.o libmpcodecs/vf_unsharp.o libmpcodecs/vf_vo.o libmpcodecs/vf_yadif.o libmpcodecs/vf_yuvcsp.o libmpcodecs/vf_yvu9.o libmpdemux/aac_hdr.o libmpdemux/asfheader.o libmpdemux/aviheader.o libmpdemux/aviprint.o libmpdemux/demuxer.o libmpdemux/demux_aac.o libmpdemux/demux_asf.o libmpdemux/demux_audio.o libmpdemux/demux_avi.o libmpdemux/demux_demuxers.o libmpdemux/demux_film.o libmpdemux/demux_fli.o libmpdemux/demux_lmlm4.o libmpdemux/demux_mf.o libmpdemux/demux_mkv.o libmpdemux/demux_mov.o libmpdemux/demux_mpg.o libmpdemux/demux_nsv.o libmpdemux/demux_pva.o libmpdemux/demux_rawaudio.o libmpdemux/demux_rawvideo.o libmpdemux/demux_realaud.o libmpdemux/demux_real.o libmpdemux/demux_roq.o libmpdemux/demux_smjpeg.o libmpdemux/demux_ts.o libmpdemux/demux_ty.o libmpdemux/demux_ty_osd.o libmpdemux/demux_viv.o libmpdemux/demux_vqf.o libmpdemux/demux_y4m.o libmpdemux/ebml.o libmpdemux/extension.o libmpdemux/mf.o libmpdemux/mp3_hdr.o libmpdemux/mp_taglists.o libmpdemux/mpeg_hdr.o libmpdemux/mpeg_packetizer.o libmpdemux/parse_es.o libmpdemux/parse_mp4.o libmpdemux/video.o libmpdemux/yuv4mpeg.o libmpdemux/yuv4mpeg_ratio.o osdep/getch2.o osdep/timer-linux.o stream/open.o stream/stream.o stream/stream_bd.o stream/stream_cue.o stream/stream_file.o stream/stream_mf.o stream/stream_null.o stream/url.o sub/eosd.o sub/find_sub.o sub/osd.o sub/spudec.o sub/sub.o sub/sub_cc.o sub/subreader.o sub/vobsub.o sub/font_load.o stream/stream_cdda.o stream/cdinfo.o stream/stream_dvdnav.o stream/stream_dvd.o stream/stream_dvd_common.o libmpcodecs/ad_faad.o libvo/aclib.o av_opts.o libaf/af_lavcresample.o libmpcodecs/ad_ffmpeg.o libmpcodecs/vd_ffmpeg.o libmpcodecs/vf_lavc.o libmpcodecs/vf_lavcdeint.o libmpcodecs/vf_pp.o libmpcodecs/vf_screenshot.o libmpdemux/demux_lavf.o stream/stream_ffmpeg.o sub/av_sub.o libaf/af_lavcac3enc.o libmpcodecs/vf_fspp.o libmpcodecs/vf_geq.o libmpcodecs/vf_mcdeint.o libmpcodecs/vf_qp.o libmpcodecs/vf_spp.o libmpcodecs/vf_uspp.o sub/font_load_ft.o libmpcodecs/vf_bmovl.o libaf/af_export.o osdep/mmap_anon.o libmpcodecs/vd_ijpg.o libmpcodecs/ad_liba52.o libmpcodecs/vf_ass.o sub/ass_mp.o sub/subassconvert.o libmpcodecs/ad_libdca.o libmpcodecs/ad_libdv.o libmpcodecs/vd_libdv.o libmpdemux/demux_rawdv.o stream/stream_smb.o libmpcodecs/vd_theora.o libmpdemux/demux_rtp.o libmpdemux/demux_rtp_codec.o stream/stream_live555.o libmpdemux/demux_mng.o libmpcodecs/ad_mp3lib.o mp3lib/sr1.o mp3lib/decode_mmx.o mp3lib/dct64_sse.o stream/stream_rtsp.o stream/freesdp/common.o stream/freesdp/errorlist.o stream/freesdp/parser.o stream/librtsp/rtsp.o stream/librtsp/rtsp_rtp.o stream/librtsp/rtsp_session.o osdep/shmem.o stream/stream_netstream.o stream/asf_mmst_streaming.o stream/asf_streaming.o stream/cookies.o stream/http.o stream/network.o stream/pnm.o stream/rtp.o stream/udp.o stream/tcp.o stream/stream_rtp.o stream/stream_udp.o stream/realrtsp/asmrp.o stream/realrtsp/real.o stream/realrtsp/rmff.o stream/realrtsp/sdpplin.o stream/realrtsp/xbuffer.o libmpcodecs/vd_mpng.o libmpcodecs/ad_realaud.o libmpcodecs/vd_realvid.o libmpcodecs/ad_speex.o stream/cache2.o sub/unrar_exec.o stream/stream_vcd.o libmpcodecs/ad_libvorbis.o libmpdemux/demux_ogg.o libmpcodecs/vd_xvid4.o ffmpeg/libavformat/libavformat.a ffmpeg/libavcodec/libavcodec.a ffmpeg/libavutil/libavutil.a ffmpeg/libpostproc/libpostproc.a ffmpeg/libswscale/libswscale.a -Wl,-z,noexecstack  -Wl,-O1   -lncurses -lsmbclient -lpng -lz -lmng -lz -ljpeg -lasound -ldl -lpthread -L/usr/lib64 -ldvdread -ldvdread -lcdio_cdda -lcdio -lcdio_paranoia  -lfreetype -lz -lfontconfig  -lass -lenca -lz -lbz2 -llzo2 -lvorbis -logg -lspeex -ltheora -logg   -la52 -ldca -lfaad -lliveMedia -lgroupsock -lUsageEnvironment -lBasicUsageEnvironment -lstdc++ -ldv -lxvidcore -lm -ldirac_encoder -ldirac_decoder -lstdc++   -lschroedinger-1.0   -lpthread -ldl -rdynamic -L/usr/lib64 -ldvdnavmini -lpthread  -lm  -ltwolame -lfaac -lx264 -lpthread -lmp3lame
ffmpeg/libavcodec/libavcodec.a(libvorbis.o): In function `oggvorbis_encode_init':
libvorbis.c:(.text.unlikely+0xad): undefined reference to `vorbis_encode_setup_vbr'
libvorbis.c:(.text.unlikely+0xe7): undefined reference to `vorbis_encode_setup_managed'
libvorbis.c:(.text.unlikely+0x108): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x140): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x168): undefined reference to `vorbis_encode_ctl'
libvorbis.c:(.text.unlikely+0x170): undefined reference to `vorbis_encode_setup_init'
Comment 38 Blu3 2011-03-21 20:35:01 UTC
re. comment #34 -- bug is still present
Comment 39 Charles de Noyelle 2011-04-25 15:50:27 UTC
Works here !

The patch applied by "Arfrever Frehtes Taifersar Arahesis" about "media-video/mplayer-1.0_rc4_p20110302" seems to be present also in next release 2011-03-22 :

To fix the problem at home, without waiting for these builds to get into the stable tree, add "=media-video/mplayer-1.0_rc4_p20110322" in /etc/portage/package.keywords

Thank you for the fix !
Comment 40 Samuli Suominen gentoo-dev 2011-04-25 15:54:47 UTC
(In reply to comment #34)
> Fixed in media-video/mplayer-1.0_rc4_p20110302.

Time to close this bug then, thanks